---
id: torrentcontrol
title: How to use Torrent Control in Firefox
sidebar_label: Use Torrent Control (Firefox)
---

This guide will show you how to install and configure Torrent Control for Firefox - This application allows you to simply right click on a torrent and pass it directly into the webui without first downloading the torrent to your PC.

The very first thing you have to do is to find and install the plugin from the Firefox "app store": https://addons.mozilla.org/en-US/firefox/addon/torrent-control/

Once you have it installed, you then proceed to click on the little Torrent Control icon at the top right corner as per this screenshot:

![](https://i.imgur.com/GUpravg.png)

From here you insert the details for your service, configure it as per the details below:

![](https://i.imgur.com/LH6sxj0.png)

One thing that are optional here is to "Add torrents as paused", we advice using that starting out until you are sure it works as intended.

When it is installed, you can right click on any torrent link and select the Torrent control dropdown to add the torrent:

![](https://i.imgur.com/GUpravg.png)
